Last Comment Bug 133795 - Mozilla 1.0 Release Notes Tracking Bug
: Mozilla 1.0 Release Notes Tracking Bug
Status: RESOLVED FIXED
: meta
Product: www.mozilla.org
Classification: Other
Component: General (show other bugs)
: other
: All All
: -- normal
: ---
Assigned To: Daniel Wang
: James Cox
Mentors:
http://mozilla.org/releases/mozilla1.0/
: 132964 145915 192351 (view as bug list)
Depends on: 44070 63140 69715 71105 86719 89668 96685 99806 105656 112125 116669 137748 138395 143888 144607 146764 146962 149419 155243 157491 160571 161257 162075 167918 169377 173602 173985 182189 183186 184234 185295 188143 190586 207679 207682
Blocks: 186272
  Show dependency treegraph
 
Reported: 2002-03-27 13:25 PST by Jatin Billimoria
Modified: 2012-08-23 00:16 PDT (History)
24 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Jatin Billimoria 2002-03-27 13:25:20 PST
This is a tracking bug for issues/bugs that need to be release noted in Mozilla
1.0 release. Changes and additions to the Mozilla 1.0 Release Notes can be
submitted here. Do not submit commercial only (MachV) issues.
Comment 1 Jatin Billimoria 2002-04-01 11:42:46 PST
For issues that affect only MachV (commercial issues), please submit to:
http://bugscape.mcom.com/show_bug.cgi?id=11436
Comment 2 Jatin Billimoria 2002-04-01 11:46:52 PST
From dup bug 132964:
endico@mozilla.org
when you add an item to this bug, please give the bug number of the issue being
tracked (if there is none, create one). Please add the text that you would like
added to the release notes (or a draft at least). Don't just write "add bug nnnn
to the release notes". Since you're so annoyed by the bug to add it to the
release notes, you can probably describe it a lot better than I can.

Try to add only items that you think will affect a lot of people. I'd like
to make sure there are relnotes for each of the top items on the duplicates.cgi
list.

Comment 3 Jatin Billimoria 2002-04-01 11:47:45 PST
*** Bug 132964 has been marked as a duplicate of this bug. ***
Comment 4 Dawn Endico 2002-04-09 00:47:34 PDT
bug 134849. need installation notes for mathml fonts
Comment 5 Daniel Glazman (:glazou) 2002-04-09 01:32:56 PDT
bug 34849 : as a result of this bug fix, it is now possible in Composer
to modify, in the Source View, embedded CSS stylesheets (by STYLE or LINK
elements) or and see the changes immediately apply when switching back to Normal
View.
Comment 6 laurel 2002-04-09 12:38:19 PDT
MailNews known issues -- bug 127141:  
Moving or copying a labeled message will not retain label in destination when
filing across accounts:
1. Cross account IMAP-->any other account (including Local Folders) loses label.
2. Cross account POP-->POP (including Local Folders) is OKAY.
3. Cross account POP-->IMAP loses label.
4. Copy News-->any account loses label.
Comment 7 tao 2002-04-11 10:41:39 PDT
new pref: instroduced by http://bugzilla.mozilla.org/show_bug.cgi?id=44070
[deployment]Match browser's default locale/region to OS's default.

all.js: pref("intl.locale.matchOS",                 false);

When its value is 'true', browser will inquire the system's locale and set its
UI language and region content to match it. For example, when we install a 
Japanese Mach V browser client on an English (US) system, on start up, the client 
will use English as its UI language and US as its region locale until a user 
profile is selected. If a (pair) of locale is defined in the selected profile, 
browser will honor the profile locale. In addition, when cmdline switches,
'-UILocale' and/or 'contentLocale', present, the cmdline switch take precedence.

Note that selecting locale is an expensive operation, therefore, when this
pref is "true", there will be a roughly 30% start up performance drag.

Comment 8 John Unruh 2002-04-12 09:41:22 PDT
bug 87902 Relnote: When you have selected the "Enable TLS" option from the SSL 
preferences panel, the browser will attempt to use the TLS protocol when making 
secure connections with a server. If that connection fails because the server is 
"TLS intolerent", the client will fall back to using SSL3.   There is an 
important exception:  If you have selected to use a proxy for secure 
connections, the browser will not be able to reach a "TLS intolerent" web site.
Comment 9 John Unruh 2002-04-12 09:42:46 PDT
bug 87902 - Revoked certs using OCSP may still appear in the Cert 
Manager verified as True.
Comment 10 John Unruh 2002-04-12 09:46:06 PDT
bug 125561 - Relnote: If you are using more than one profile, and sending signed 
and/or encrypted email, or visit a web site requiring your personal certificate, 
you should disable the Quick Launch feature.
Comment 11 John Unruh 2002-04-12 09:49:41 PDT
bug 129067 - Certificates deleted from the Certificate Manager will still 
appear, until you restart the browser.
Comment 12 John Unruh 2002-04-12 09:52:15 PDT
Bug 136210 - If you set the memory cache to 0, you should set the disk cache to 
0 also, or you will not be able to view https:// (secure) web sites.
Comment 13 Phil Schwartau 2002-04-12 11:27:10 PDT
REFERENCES:

bug 121744 SpiderMonkey should error on |for(i in undefined)|, |for(i in null)|
bug 131348 |var obj; for (i in obj) {}| causes error


Before bug 121744 was filed, our JS implementation did not error on these 
statements. Since ECMA-262 Edition 3 requires ECMAScript to error on them,
bug 121744 was filed and we corrected our JS to match the standard.

But many complaints ensued because we had changed the behavior of JS,
and were no longer in agreement with the behavior of NN4.7 and IE6.
So bug 131348 was filed, and it was decided to undo the 121744 fix.

In addition, Waldemar reports in bug 131348 that the ECMA committee is
leaning toward treating this as a bug in the standard, and changing it
in Edition 4. (This is just speculation at this point, however).


SUMMARY: once again, these statements will not cause a JavaScript error:

                   for(i in undefined){}
                   for(i in null){}
                   var obj; for (i in obj){}


This is the way it was in NN4.7, IE6, and the way it was in Mozilla/N6,
too, before bug 121744 was filed. The behavior is once again the same 
everywhere.


The Mozilla 0.9.9 Release Notes contained this paragraph:


-----------------------------------------------------------------------------
What's New In This Release

The following JavaScript snippet now throws an error:            
               for (var foo in undefined) {}.
This change was made in order to comply with ECMA-262 3rd Edition Final.
(Bug 121744) 
-----------------------------------------------------------------------------


So we've got to indicate that we have reversed ourselves, due to bug 131348.
Comment 14 John Unruh 2002-04-12 11:37:50 PDT
Please remove this relnote: bug 125561 - Relnote: If you are using more than one 
profile, and sending signed and/or encrypted email, or visit a web site 
requiring your personal certificate, you should disable the Quick Launch 
feature.
The latest comment in the bug from trudelle is "No, that is unacceptable. We 
cannot enable by default, then expect users who do these things to take action 
based on a release note.  If we are unable to fix this bug, we will have to 
consider how to automatically disable QuickLaunch in the common affected 
scenarios.  Can we get a plus and ADT2 on this?"
Comment 15 Claudius Gayle 2002-04-12 12:49:11 PDT
Profiles
Bug 137164. Do not share a profile between Netscape Seamonkey and Mozilla
Seamonkey builds. Doing this can lead to unpredictable results, some of which
may include loss of Search settings and preferences and unchecked growth of the
Bookmarks file(large enough to hang your system). It is best to create a new
profile for each or manually copy(and change the name) an existing profile.
Comment 16 shrirang khanzode 2002-04-12 14:29:15 PDT
Plugins:

Bug 58339: Browser hangs if flash plugin tries to play audio, if audio device is 
already in use. Workaround is to stop the audio device( eg :XMMS) and return to 
that page. This is linux only.

Bug 136761: Browser might crash while playing random quicktime content. No 
workaround present.

Comment 17 shrirang khanzode 2002-04-12 14:34:47 PDT
Plugins:

Bug 58937: Linux only, Browser crashes while playing flash content on a remote X 
display. No workaround present other than not using remote X display.

Bug 134002:  While viewing a Print Preview format of a web page with plugins 
embedded, plugins will not render. No workaround present.
Comment 18 shrirang khanzode 2002-04-12 14:43:33 PDT
Plugins:
Bug 63182: Linux only, Flash plugin context menu does not disappear when one 
clicks outside the plugin area to dismiss it. Workaround is to left-click  
inside the plugin to dismiss plugin context menu.
Comment 19 benc 2002-04-12 15:03:58 PDT
bug 78176:
SOCKS in Proxy Auto Config works now. PAC makes only SOCKS V4 connections, for
compatability reasons with Communicator 4.

SOCKS V5 is available via the manual configuration.
Comment 20 stephend@netscape.com (gone - use stephen.donner@gmail.com instead) 2002-04-12 15:12:25 PDT
bug 133434:

SOCKS Proxy V5 in Mail *ONLY* as it concerns SSL-wrapped connections and SMTP:

If you have a SOCKS Proxy Version 5 connection, it will fail to connect to any
SSL-initiated connection: secure news (snews), secure IMAP, SMTP, etc.

In addition, if you have an SMTP server setting which has the preference for
'Use SSL | When Available' checked, sending mail will fail.  Change the
preference to 'Never' and you'll be able to send.
Comment 21 Peter Lubczynski 2002-04-12 16:36:21 PDT
Plug-ins:

Bug 110660
On UNIX and NT, set environment variable MOZ_PLUGIN_PATH to a directory which 
can be the first place the browser looks for plug-ins.

Bug 45699
Plug-ins found in user profiles (like ~/.mozilla/plugins, ~/Library/Internet
Plug-ins, or %USERPROFILE%\Application Data\mozilla\plugins) take precendence
over those in global places such as the application plug-ins folder or
/Library/Internet Plug-ins.
Comment 22 Shiva Thirumazhusai 2002-04-12 16:39:10 PDT
bug 111316

Information from the above bug : -

McAfee virus scanner has an advanced option that is not enabled by default.  the
option turns on a web-scanning feature, where upon McAfee intersects all
winsock2 system calls.  doing so has been reported to cause many networking apps
including netscape to crash.  McAfee even suggested in their release notes that
users not enable their web-scanning feature if it causes other applications to
crash.  i'm not sure if this crash could be a duplicate of the winsock problem.

i just did a google search for "MCSCAN32 crash" and found a number of news group
postings reporting complaints of this DLL causing instability in users' systems.

here's a document from microsoft explaining what to do if IE crashes in
MCSCAN32.DLL:

http://support.microsoft.com/default.aspx?scid=kb;EN-US;q300028

Comment 23 Jatin Billimoria 2002-04-14 18:32:38 PDT
To juhnruh@netscape.com:

The bug listed with the following descriptions is incorrect:
"Revoked certs using OCSP may still appear in the Cert Manager verified as True."
Please provide the correct bug that corresponds to the above description.
Comment 24 Jatin Billimoria 2002-04-14 19:13:48 PDT
Acceptable release notes bugs up to Comment #15 in this bug have been reviewed
and documented for the upcoming release notes.
Comment 25 John Unruh 2002-04-15 08:28:43 PDT
The correct bug number for comment 9 is bug 91530.
Comment 26 Fabian Guisset 2002-04-15 10:06:00 PDT
There will be special DOM (document object model) release notes for web
developers that I am compiling. The tracking bug for it is bug 137555. We should
probably link to it or embed it in the Web Developers section.
Comment 27 Jatin Billimoria 2002-04-15 13:24:58 PDT
Acceptable release notes bugs up to Comment #25 in this bug have been reviewed
and documented for the upcoming release notes.

Comment 28 sujay 2002-04-15 13:56:27 PDT
Printing:

Bug 130083 

Some users might not be able to print on Win 98/ME with default spool setting. 
The workaround is to go into printer properties, choose details tab, choose
spool settings, choose print directly to printer. Then it will work
Comment 29 benc 2002-04-15 23:45:18 PDT
from bug 107882:

------- Additional Comments From benc@netscape.com 2002-04-10 21:46 -------
Is there anything we can do to prevent this crash, or is it completely external.

(draft relnote):

If you are running McAfee's WebScanX, you may experience crashes at startup.
Please disable the product and see if it prevents the problem. If so, please
contact McAfee for a solution.

(do we want this in NS 622 relnotes?)
Comment 30 shrirang khanzode 2002-04-16 10:32:51 PDT
Bug 119056 : Plugins are not refreshed if the browser is restarted with 
QuickLanuch on. Workaround is to make sure Quicklaunch is not 'ON' by removing 
it from the system tray and then restarting the browser.
Comment 31 Gervase Markham [:gerv] 2002-04-17 15:56:13 PDT
Is this for RC1 release notes as well?

If so, bug 135570 is very relevant - the installer doesn't work on Win95.
Workaround is to use the tarball.

Gerv
Comment 32 Dawn Endico 2002-04-17 21:09:02 PDT
updated release notes up to comment 31 except for comment 26 from fabian.
Comment 33 stephend@netscape.com (gone - use stephen.donner@gmail.com instead) 2002-04-17 23:41:09 PDT
REMOVAL OF ITEM -

Please remove comment 20 from the Release Notes - I've tested it on the 1.0
branch, and it works fine now (fixed went in on the 16th).  Thanks!

(SNEWS/secure IMAP now work using SOCKS Proxy 5).
Comment 34 Simon Lucy 2002-04-18 02:25:12 PDT
http://bugzilla.mozilla.org/show_bug.cgi?id=120155  Mozilla window will not
minimise if it is the only window open on the desktop (Windows platform).

On any MS Windows platform, if a Mozilla window is the only open window on the
desktop then pressing the Minimise button on the title bar, or selecting the
Minimise option will seem to have no effect.  Faster machines may give the
appearance of the window bouncing to minimise and restoring to the original
size.  If another window is opened then the Mozilla window can then be minimised
normally, however, if that other solitary window is then minimised the Mozilla
window will be restored 'automagically'.

Workarounds.

This has been reported as being less frequent with the Modern Theme.  

If your desktop theme has a 'Minimise All' icon then this will minimise the lone
Mozilla window successfully.
Comment 35 Cedric Berger 2002-04-18 14:20:09 PDT
The Java sections are Obsolete (as usual :)
Sentences like:

    Fixes for a number of remaining LiveConnect problems are being incorporated
    into JDK 1.4 and will be available when that release of JDK/JRE is available
    later this year.

For example, should be updated with more fresh information.
Cedric
Comment 36 Joonas Marttila 2002-04-18 14:43:58 PDT
The release notes have an incorrect link (quotes from the relnotes):

"For some users on Microsoft Windows, using the Classic theme, Mozilla windows may not mimimize. The workaround is to use the Minimize All Windows command on the Windows Task Bar or to switch to the Mozilla Modern theme. (Bug 136761)"

That should be bug 120155. Bug 136761 is really "Mozilla might crash while playing random Quicktime content. (Bug 136761)"
Comment 37 benc 2002-04-20 10:51:42 PDT
Can we make a clarification to:

"Mozilla only accepts hostnames for manual proxies. If you migrate a
Communicator 4 profile, you will need to change the settings manually. (Bug 30387) "

The last sentence should say:

"Communicator 4 allowed URL's in manual configuration, but Mozilla does not. If
you migrate a profile configured this way, you will need to change the URL to a
hostname and port number."
Comment 38 benc 2002-04-20 11:34:59 PDT
Accessing pages on a network requires 5 slashes (file://///). (Bug 66194) 

"on a network" should be "with a UNC". (I think this is vagueness I invented
before...)
Comment 39 Michael Hendy (Hendikins) 2002-04-22 15:52:09 PDT
Nominating the dependencies of bug 104506 (Working plug-ins status and files
needed for Mozilla) for inclusion in 1.0 Release Notes. Providing, of course,
the documents in question are correct at time of release (or shortly after it).
Comment 40 Keyser Sose 2002-05-02 21:32:27 PDT
Adding bug 82973 last comment which states:

Applying Solaris patch 108773-14 should be added to the release notes. How do we
make that happen?



Comment 41 robinf 2002-05-03 15:05:45 PDT
Bug 141819: Composer, Publishing feature: If the Publishing URL, file name, user
name, or password contain any special characters (such as "@") that need to be
escaped, then Composer creates a duplicate site entry each time you publish the
document. To work around this bug, choose the original site name from the Site
Name list in the Publish dialog box before publishing the document again.  

For example, Prodigy and SBC Global users have usernames that are also their
email addresses, e.g., "john@sbcglobal.net". After publishing to this site, the
next time you use the Publish dialog, the username from the document URL will
appear as "john%40sbcglobal.net" (the "@" was escaped during publishing). Since
Composer can't find this entry, it creates a duplicate site name.

Comment 42 Jatin Billimoria 2002-05-09 12:33:31 PDT
Acceptable release notes bugs up to Comment #25, except Comment #39 and Comment
#40, have been reviewed and documented for the upcoming release notes.

Comment #30 needs review and refinement before being placed in release notes.

Keyser, please provide some initial wording for bugs in Comment #40, along with
any workarounds.
Comment 43 robinf 2002-05-09 15:18:32 PDT
Bug 138040: Composer: During publishing, incorrect "Publish Failed" message
appears in the publishing status panel, and then quickly changes to "Publishing
Completed" message. Users should ignore incorrect "Publish Failed" message that
briefly appears, because it will then change to "Publishing Completed" (correct
message) once all files have green check marks next to them in the Publishing
Status dialog box.

Comment 44 robinf 2002-05-09 15:20:34 PDT
Bug 138040 described above is fixed on trunk, but not yet checked in to ns
branch for beta.
Comment 45 Jatin Billimoria 2002-05-10 10:44:02 PDT
Correction to previous comment. I meant to say:

Comment #39 needs review and refinement before being placed in release notes.
Comment 46 Andrew Hagen 2002-05-11 09:55:13 PDT
Some changes need to be made to the Release Notes for 1.0. All the references to
prefs.js should be changed to user.js. No one should be manually editing
prefs.js. It is a generated file. Manual changes made to prefs.js can lead to
profile corruption. All manual changes should go into user.js, see bug 142590,
or, if necessary, all.js.

Additionally, Mozilla supports Sun Java 1.4. This version is a great improvement
over other versions, especially in the area of stability. Our release notes
should not point to the old, broken version of Sun Java, but only to 1.4.

Finally, the release note for "cannot view any https urls when memory cache size
is set to 0," needs to have the bug number added (bug 136210). 
Comment 47 Andrew Hagen 2002-05-11 10:41:11 PDT
Adds:

bug 28385 - If the user is downloading a file in the background with
Mozilla and the user exits Mozilla from the File menu, the download will abort
without warning. Workaround: close Mozilla only after downloads finish.

bug 33282 - telnet:// URLs do not work in Linux (and possibly other UNIX
systems). telnet:// URL's work for Win32 and MacOS. Workaround: install
protozilla from <http://protozilla.mozdev.org/>.

bug 51683 - Mozilla is unable to have 2 differently named bookmarks for the same
url.

bug 60304 - When going to a site that requires the user to authenticate
with HTTP to download a Java applet that also requires authentication, the user
will have to login twice with the same username and password. 

bug 74320 - When visiting a SSL enabled site, the lock icon will take on a
yellow background, and will not indicate the strength of the SSL
encryption used, whether it is 40 bit, 56 bit, or 128 bit.

bug 86319 - Some animated GIFs, especially large ones, display very slowly and
make Mozilla unresponsive. 

bug 90337 - If the URL bar does not respond to the Enter/Return key, you can use
the temporary workaround of pasting the URL into File | Open Web location. To
fix it, close Mozilla, then delete your history.dat and localstore.rdf. That
usually solves the problem. Otherwise, you may have to reinstall Mozilla and
create a new profile.

bug 104992 - Using Windows 98 with some ATI graphics adapters will result
in occasional corruption of inline images as rendered on web pages. This is an
ATI graphics driver bug.

bug 106462 - To prevent blinking text from blinking, create a text file in your
profile directory called user.js. In that file place the following line
user_pref("browser.blink_allowed", false); .

bug 122445 - If a username or password is embedded into a URI in the form
of http://username:password@sitename.com  Mozilla will not warn the user of this
when the user follows the link. URI's with long usernames in the form of
http://www.mozilla.org%2084230482304982304329048230948@fraudsite.com  could
deceive users into thinking they were going to mozilla.org when they were really
going to fraudsite.com. 

bug 126782 - Mozilla will very rarely not detect that an opened file is
binary, and will attempt to display it as a web page. To download such a file,
right-click on the link and select "Save Link Target As."

bug 142590 -  To make a manual change to preferences, do not edit prefs.js.
Create a new text file, user.js, in the same directory as prefs.js. Entries in
user.js will override entries in prefs.js, if necessary.

Comment 48 Andrew Hagen 2002-05-11 10:45:58 PDT
A couple of minor changes should be made to the formatting of the release notes. 

The release notes tend to overflow the right margin. If we made a 5%
right-margin, that might solve it.

Secondly, at the top of the release notes, we should add a line that says "Bug
number references are included to provide more information about the specified
problem." Currently, it looks like each problem is being worked on, when many of
the bug references are to invalid and worksforme bugs. Those bugs are listed,
like the others, primarily to provide information.
Comment 49 Andrew Hagen 2002-05-11 12:05:59 PDT
Last post for now. Add:

Bug 86501 - If the drive where the Mozilla profiles are installed runs out of
free space, when Mozilla exits all preferences will be lost. Workaround: close
Mozilla only when sufficient free space is available.

Bug 113203 - In Profile Manager, if you rename a profile to a name you
previously used, all your Mozilla preferences will be lost. Workaround: if you
rename a profile, use a unique name.
Comment 50 Christof Barth 2002-05-11 15:42:44 PDT
Profile locations need to be corrected for Windows 2000. It should read:

%USERPROFILE%\Application Data\Mozilla\Profiles\[Profile Name]\[random string].slt\

because windows profiles can be on other drives than c: and the pathnames are
localized (e.g. "Dokumente und Einstellungen" in a German windows)

Also it should be mentioned that profile locations are customizable and so they
may reside in other locations than those specified in the release notes.
Comment 51 Adam Purkrt 2002-05-13 15:23:23 PDT
Please, emphasize (e.g. at http://www.mozilla.org/releases/mozilla1.0/#java),
that $MOZILLA_FIVE_HOME/plugins/libjavaplugin_oji140.so (e.g.) *does have* to be
a symlink to the real j2re .so file for the java to work properly? This is
already mentioned at 
http://www.mozilla.org/releases/mozilla1.0/#java, but it isn't said, that it
won't work if one copy the file instead of making the symlink. If it's copied,
it crashes mozilla and gives some not very helpful error messages.

Thanks in advance, I spend half a day trying to get things working.


Reproducible: Always
Steps to Reproduce:
1.copy the mentioned .so file to $MOZILLA_FIVE_HOME/plugins
2.open a page with java applet
3.it crashes immediately
Comment 52 Charles Rosendahl 2002-05-14 15:41:33 PDT
Bug 120939 - When configuring the mail client to enable secure mail features,
both the signing and encryption certificates must be configured in order to
successfully sign mail messages.
Comment 53 Phil Schwartau 2002-05-14 15:57:56 PDT
Bug 133334 - You can't open links in email into a new window.

If you receive an email containing a link and you right-click on it,
you do get the normal context menu, top of which says "Open Link in
New Window". But choosing that has no effect; nothing happens!!!
So you are forced to open the link with a left-click.
Comment 54 Charles Rosendahl 2002-05-14 16:01:29 PDT
More S/MIME related issues:

Recipient email addresses are case sensitive.  Using mixed case or a different
case than that found in a recipient certificate will fail to find the
certificate when attempting to encrypt a mail message. This is already fixed in
the RTM version.

Dual key certificates are not supported by Microsoft Outlook and Outlook
Express.  For interoperability, use dual use certificates.

LDAP certificate retrieval is not supported in PR1.

Do not use the FIPS cryptographic module in PR1.

Enabling OCSP may generate errors when attempting to send secure messages.

Signing newsgroup messages is not implemented in PR1.
Comment 55 Dawn Endico 2002-05-15 11:36:57 PDT
Bug 130885 seems to appear all the time with the mentioned site, as soon as
users enable OCSP. This seems to be true for all sites that fall into the
category described in http://bugzilla.mozilla.org/show_bug.cgi?id=130885#c20 -
which might be many sites.


from an email from kaie. i think i may have added this already
but just in case...

--------------------------------
If we want to include that in the general release notes, we could say something
like:

  The current OCSP implementation is rather strict.
  If it detects a server certificate, where the signer
  specified an OCSP site, the browser relies on that site
  to be available and give out approriate information.
  Otherwise connections to the secure site will not be allowed,
  and an error code -8073 will be reported.
  If you need to connect to those sites anyway, you should
  disable OCSP. 

and later...
-------------------
It seems some people see error code -5961 instead of -8073, maybe we should list
both error codes.

Comment 56 chris hofmann 2002-05-15 21:55:11 PDT
for RC3 we may have a request to have a bunch of testers 
bang on postscript multi-copy printing to help verify
http://bugzilla.mozilla.org/show_bug.cgi?id=139566
on many different printers.

can we make a request for testers to do some multi-copy
postscript printing and update this bug if they see any problems..

thanks
Comment 57 Tony Tovar 2002-05-16 11:12:05 PDT
(from bug 33732)

MOUSE WHEEL SCROLLING

Windows: Mousewheel scrolling does not work with all drivers. If you have
problems, try updating your driver or disabling any "helper" programs that your
mouse uses.  If you have a Logitech mouse, you can either upgrade the driver (to
at least v9.60) or enable the "Microsoft Office compatible scrolling" option in
the Mouse/Buttons control panel.


(Also, shouldn't this bug have the "Mozilla 1.0" keyword?)
Comment 58 Darin Fisher 2002-05-16 11:17:49 PDT
(from bug 144607)

HTTP PIPELINING

While enabling HTTP pipelining may significantly improve page load times, it can
prevent some websites from loading correctly.  If you experience problems
loading a website, please verify that HTTP pipelining is disabled and try again
(see Preferences->Advanced->HTTP Networking).  HTTP pipelining is disabled by
default.
Comment 59 Henri Sivonen (:hsivonen) (Not doing reviews or reading bugmail until 2016-08-01) 2002-05-16 12:16:59 PDT
Bug 138496: <link> navigation has been removed from 1.0. (People are already
asking what happened to it.)
Comment 60 laurel 2002-05-17 10:35:36 PDT
bug 140591: Mac OS 10 - Create Filter from Message not working in mozilla
1.0/netscape PR1.  May cause crash on exit if launched.
Comment 61 Roland Mainz 2002-05-17 16:23:59 PDT
Release notes for printing on Unix/Linux platforms [part I - more items will
follow...]:

** How to install and configure Xprint:
  Details how to install/use Xprint are available under
  http://xprint.mozdev.org/ or
  http://puck.informatik.med.uni-giessen.de/people/gisburn/work/xprint/
  (for the impatient: Read one of the quickguides :)

** Bugs present in the PostScript module but _not_ present in the Xprint
   module (e.g. you have to use the Xprint module if you need this
   functionality):
  bug 80190  [ps] Poor Postscript Rendering
  bug 123408 [ps] No standard Postscript characters outside ISO 8859-1 pr
  bug 126602 [ps] Mozilla PS printing for UTF-8 mail and SJIS attachment
  bug 82982  [ps] printing iso-8859-2 fails
  bug 119263 [ps] printed page prints images in different sizes
  bug 144376 [ps] inaccurate postion when printing with Bold or Italic
  bug 144418 [ps] German characters overlayed in PS printout
  bug 6810   [ps] UNIX printing should set the correct title (e.g. -T opt
  bug 63737  trouble printing latin2 (iso8859-2) characters [ps][printing
  bug 67338  Windows quote characters not translated at print time [print
  bug 69378  postscript prints window title with boxes [print][ps]
  bug 119265 improve GetWidth by using unicode width data
  bug 52058  [ps] Overline prints to low
  bug 31356  [ps] PostScript Printing of CJK content need font inserter/f
  bug 125006 [ps] Cyrillic characters not printing
  bug 24824  Hebrew text prints as gibberish 
  bug 130438 printing messes up italics and ems
  Bug 123144 big ugly gaps before hrefs in printout
  bug 65784  [ps] All Chinese characters are printed as little squares
  bug 139110 Final page in browser fails to print

** i18n configuration for the PostScript module
  Descriptions how to configure the PostScript module to print
  non-iso-8859-1 languages can be found in bug 76433 ("Document how to
  enable Linux Chinese/Korean printing")
Comment 62 Olivier Mengué 2002-05-17 16:34:48 PDT
From bug 145374, about http://www.mozilla.org/releases/mozilla1.0/#psm, here is
a sentence to replace:

"To override this on a per-port basis, add a comma separated
list of ports to defaults/pref/all.js (in your Mozilla installation directory)"


I've not added the bug as a dependency. Tell me if I should have.

Comment 63 Dan Mosedale (:dmose) 2002-05-17 17:22:10 PDT
Since bug 143172 was fixed:

In the LDAP section of the release notes: 

"If the user is patient, the app will begin responding again after the TCP
timeout happens, probably between 30 seconds and several minutes later."

should be replaced with

"The app will begin responding again after about 10 seconds (the length of the
TCP timeout".
Comment 64 Roland Mainz 2002-05-17 17:42:34 PDT
bug 28088: Printing MathML on Unix/Linux works only with the Xprint module, this
functionality is not implemented in the PostScript module.
Comment 65 Jatin Billimoria 2002-05-17 22:15:18 PDT
Acceptable release notes bugs through Comment #59, except Comment #50 and Comment
#54, have been reviewed and documented for the upcoming release notes.

Comment #54 needs bug numbers. I can't verify the accuracy of Comment #50, so
I'll need help with that.
Comment 66 Jatin Billimoria 2002-05-19 19:59:23 PDT
Acceptable release notes bugs in Comment #60-64 have been reviewed and
documented for the upcoming release notes.
Comment 67 Andrew Hagen 2002-05-21 09:12:30 PDT
Add: 

Bug 143764 - Quick Launch is supported in this release only if the Mozilla
installation has one Mozilla profile. If there is more than one Mozilla profile,
Quick Launch will not work.
Comment 68 robinf 2002-05-21 13:37:01 PDT
Add:

Bug 142563: Composer - Publishing to a non-existent subdirectory on the Netscape
"MyWebPage" site (http://mywebpage.netscape.com/) creates a file with the
subdirectory name.

Workaround: 1) Don't publish to a subdirectory or 2) Be sure any subdirectory you 
publish to already exists. Use a standard FTP program to view your site to
confirm this. Keep in mind that folder or subdirectory names are case-sensitive.
Users must be careful to pay attention to the icon for a file vs. 
a folder to be sure that what they see is an existing folder (subdirectory)
before they publish into it.

You can use an FTP program to delete any files you may have created because
of this bug.
Comment 69 Matthias Versen [:Matti] 2002-05-23 10:16:27 PDT
Add: 
Bug 144027 :

If Mozilla doesn't open new windows and/or doesn't open other components from
the Browser (Mailnews, View Source) and you have Third-Party Themes installed
(also not  active !) do this :
Uninstall all Third Party Themes via the preferences and/or delete all files in
Profile/Chrome/ (You will loose all additional languages packs and Third-Party
Themes)

Comment 70 Christopher Whitt 2002-05-24 07:41:16 PDT
In the RC3 release notes the paragraph beginning with "While enabling HTTP
pipelining" (see comment #58 above) should link to bug 144607 instead of bug 130885.

Similarly, the relnote beginning with "If a username or password is embedded
into a URI in the form of" should link to bug 122445 instead of bug 104992.
Comment 71 Tony Tovar 2002-05-24 13:01:21 PDT
I'm not sure what the correct explanation will be but there needs to be some
explanation of the (non)integration with IE's Favorites (OS=Windows).
-------------------------------------------------

GENERAL -> NAVIGATOR -> BOOKMARKS

- reference either bug 134535 (now INVALID but includes relevant discussion) or
bug 59636 ("need UI for importing")
- On Windows systems, the Internet Explorer bookmarks (aka "Favorites") are not
linked to Mozilla's bookmarks.  Instead, there is a one-time import of the
Favorites when a new Mozilla profiles is created.  These bookmarks are placed in
a folder labeled "Imported IE Favorites" and can be moved/renamed using the
Bookmark Manager; any changes you make will *not* appear in IE because they are
separate copies!
- If you want the two sets of bookmarks to be linked, you can configure Mozilla
to re-import the "Imported IE Favorites" folder each time you restart Mozilla. 
This feature is no longer supported but can be enabled by adding the following
line to your profile's PREFS.JS file,
  user_pref("browser.bookmarks.import_system_favorites", true);
Note -- this change must be done when Mozilla and/or Quicklaunch are completely
shutdown, or else the change will not be saved.
Comment 72 Pete Boyd 2002-05-26 10:48:33 PDT
based on RC3 relnotes, I found these problems:

[1] 'uninstalling Mozilla' - 'Windows' - doesn't mention having to also manually
delete files from %WINDIR%

[2] 'Files created or used' doesn't mention those created in %WINDIR% (NSREG.DAT
is bug 142367)

[3] 'Profile Locations' - 'Windows 2000' - the location should instead be
%APPDATA%\Mozilla\Profiles\[Profile Name]\[random string].slt\

[4] 'Profile Locations' - Windows NT 4 or XP aren't mentioned

[5] the View Frame Source problem and workaround is mentioned twice

[6] 'Chatzilla' - '...would like to contribute, please tell us in the
rginda@netscape.com' is gramatically incorrect

[7] the 'Plugins' section should be ordered by OS (as other sections are) rather
than mixing together OS-specific points

[8] 'Java' - 'Windows' - 'copy NPJava130_01.dll, NPJava130_01a.dll,
NPJava130_01b.dll, NPJava130_01c.dll, and NPOJI610.dll' - NPJava130_01?.dll
files are only for Netscape 4.x aren't they? Mozilla only requires NPOJI610.dll

[9] 'Java' - 'Windows' - 'to your Mozilla plugins directory (something like
C:\Program Files\ Mozilla 1.0.RC3 \bin\plugins' - Mozilla is NEVER installed by
default in a 'Mozilla 1.0.RC3' and 'bin' directory on Windows! its C:\Program
Files\mozilla.org\Mozilla\plugins with spaces only in the 'Program Files'
directory name
Comment 73 Matthias Versen [:Matti] 2002-05-26 18:02:31 PDT
comment #71: 
[4] WinXP has the same profile location as Win2k

[8] 'Java' - 'Windows' .... : You need al this files for all mime-types. Some
pages don't work without this files.

[9] Mozilla 1.0.RC3 : This is a placeholder for the correct Path. (i have
mozilla.org/Rc1 , mozilla.org/Rc2,....)
Comment 74 Pete Boyd 2002-05-27 03:22:56 PDT
regarding my point [8]
shouldn't we additionally mention then that Sun's Java 1.4.0 requires
NPOJI600.dll, NPJava11.dll, NPJava12.dll, NPJava13.dll, NPJPI140.dll and
NPJava32.dll?

regarding my point [4]
if WinXP uses the same profile location as Win2k then we should mention that.
'home' users using XP whove moved with the flow from Win95/98/Me may very well
not know what Windows 2000 is

However, we have profile location information given for 'Windows', 'Windows
2000' and 'Windows 95 and Windows 98'.

the 'Windows 2000' section should be removed as its the same as is written for
'Windows', just the 'Windows 2000' section presents it in a more scalable format
(using %USERPROFILE%).

the 'Windows' section should be changed to read 'Windows NT (Windows NT 4,
Windows 2000, Windows XP)' (unless NT4 differs)

and though we might like to, we mustn't forget Windows Millenium, so the
'Windows 95 and Windows 98' should presumably be changed to 'Windows 95, Windows
98 and Windows Millenium'

if Windows 95/98/Me were configured as a multi-user system, would the profile
location be C:\Windows\PROFILES\[Windows login name]\Application
Data\Mozilla\Profiles\[Profile Name]\[random string].slt\?

I think [Windows login name] should instead be [username]

regarding [9] "This is a placeholder for the correct Path"
do you mean placeholder in the Release Notes text or in your own file system? if
Release Notes text then it shouldn't ever differ from mozilla.org\Mozilla
Comment 75 Seb Wills 2002-05-29 11:45:31 PDT
In Known Problems -> Plugins,

"Linux: Mozilla crashes while playing Flash content on a remote X display. No
workaround present other than not using remote X display. (Bug 58397)" should
link to bug 58973, not 58397.

Also, "Linux: Loading a page that contains a Flash plugin may cause Mozilla to
lock up if you are using an audio application. (Bug 58937)" is also linked to
the wrong bug, and I suspect it may be the same issue that's already included a
few paragraphs up with "Linux: Mozilla will hang if a Flash plugin tries to play
audio and the audio device is already in use. Workaround: Stop the audio device
and return to that page. (Bug 58339)".
Comment 76 Andrew Hagen 2002-05-29 15:12:51 PDT
Add: 

Bug 82534 - If typing in the URL bar does not display or input any
characters, open File | Open Web Location and enter the URL in the dialog box.
After loading an URL with this method, the next URL can be typed directly into
the URL bar.
Comment 77 Roland Mainz 2002-05-31 17:22:01 PDT
[Another item for the list "bugs present in the PostScript module but _not_
present in the Xprint module":]
- [Bug 148411] [ps] CSS sans-serif print
This problem will not occur when printing via Xprint module.
Comment 78 Andrew Hagen 2002-06-01 20:04:57 PDT
Add: 

Bug 133013 - Printing in BeOS is not implemented. Whoever generates the package 
for BeOS should probably disable the print menu items.
Comment 79 Andrew Hagen 2002-06-02 11:45:37 PDT
Add: 

Bug 121926 - If a user types in a wrong password for e-mail and stores the
wrong password in password manager, Mozilla will not prompt the user to type in
a new, correct password. Workaround: go to Edit | Preferences | Privacy &
Security | Passwords | Manage Stored Passwords. Remove the appropriate entries
for the mail servers. Then, the next time the user accesses e-mail, he will be
prompted for a new password. This problem is fixed in Mozilla version 1.0.1.
Comment 80 Roland Mainz 2002-06-05 11:13:47 PDT
[Two items (since I have answered a lot of these two questions in the last
couple of days and answering them consumes much my spare free time)]:

1. Xprint support is disabled in Redhat RPM builds (bug 133534). If your build
does not have a components/libgfxxprint.so then it was build with Xprint support
_explicitly_ disabled.

2. Xprint module printer names (in the print dialog) _always_ have a '@'-char in
their name (like hplaser001@myhost) and _never_ have the prefix "PostScript/"
(that are PostScript module printers).
Comment 81 Roland Mainz 2002-06-05 12:40:46 PDT
Roland Mainz wrote:
> [Two items (since I have answered a lot of these two questions in the last
> couple of days and answering them consumes much my spare free time)]:
>
> 1. Xprint support is disabled in Redhat RPM builds (bug 133534). If your build
> does not have a components/libgfxxprint.so then it was build with Xprint 
> support _explicitly_ disabled.

Minor nit:
Pls change s/Xprint support is disabled in Redhat RPM builds (bug 133534)/Xprint
support is disabled in Redhat RPM builds (bug 133534) - please use tar.gz
distributions instead/
Comment 82 J.J. Enser 2002-06-27 10:35:45 PDT
Please indicate somewhere in the release notes and/or download pages that Mac
users should NOT use version 6.0.1 of Stuffit Expander to decompress
mozilla/netscape bits. Versions 5.5, 6.0, 6.5 and above are ok. related bug: 145909
Comment 83 hirata masakazu 2002-07-01 22:12:21 PDT
See bug 144710.
Add:
Setting the preference to Open In New Tab in Open Web Location dialog results 
in a program hang if the entered URL is invalid. In MacOS 9.x(Classic), force 
quitting Mozilla at this point crashes the entire system. When the hang 
happens, please switch to Finder and quit other applications before force 
quitting Mozilla.
Comment 84 Daniel Wang 2003-01-03 06:45:10 PST
-> Endico
Comment 85 dharter 2003-02-07 20:11:21 PST
*** Bug 192351 has been marked as a duplicate of this bug. ***
Comment 86 Mike Fedyk 2003-04-24 10:07:40 PDT
Adding bug 71105, "No biff for POP3, and no icon update in browser for IMAP when
no mail/news window open"

That means, if you don't have a mail window open.  Then mozilla will not be
checking for mail until you open up the mail window (regression from ns4.7 and
even previous mozilla versions!)

This has not been fixed in 1.1, 1.2.1, 1.3, or 1.4a.  It should at least be in
the release notes.
Comment 87 Daniel Wang 2003-04-24 15:55:05 PDT
Mike, it's 4xp, not regression ;-) look at keywords definition
Comment 88 Daniel Wang 2003-07-19 10:25:24 PDT
*** Bug 145915 has been marked as a duplicate of this bug. ***
Comment 89 Daniel Wang 2003-09-19 12:07:36 PDT
taking. I'll review all comments and decide what to add to 1.0 RelNotes
Comment 90 Daniel Wang 2003-09-19 21:21:04 PDT
everything before comment 77 seemed to have been addressed before. relnote
updated -> fixed

Note You need to log in before you can comment on or make changes to this bug.